Update a User
Roles
/v1/users/{id}Updates an existing user by providing its ID.
- USER_UPDATE_START
- USER_UPDATE_SUCCESS
- USER_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
User ID
uuidRequest Body
application/json
Update a User
User claims to be persisted. No claims are persisted by default. Consider PII implications before persisting any claims.
Authentication Provider information for the user. This enables linking the user to an external identity provider. If implemented insecurely, this process can be exploited by malicious actors to gain unauthorized access to legitimate user accounts.
To mitigate this risk, require authentication for both accounts involved in the link, whether the link is created manually or automatically. Always prompt the user to enter credentials to verify ownership before establishing the link.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/users/8241400f-de3b-42c5-ad7c-8a380039e796" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba",
"claims": {
"externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba"
},
"authenticationProvider": {
"providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f",
"url": "https://example-university.au.auth0.com",
"subjectId": "example-university-oauth2|123456789"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve a user GET
Retrieve an existing user by providing its ID. * USER_RETRIEVE_START * USER_RETRIEVE_SUCCESS * USER_RETRIEVE_FAIL
Delete a user DELETE
Deletes a user and removes any persisted data related to them by providing the user ID. <Callout> Any credentials issued to the user remain valid even after the user is deleted. </Callout> ### **Analytic events** * USER_DELETE_START * USER_DELETE_SUCCESS * USER_DELETE_FAIL